# Phonenumbers ## List phone numbers (deprecated) `client.Phonenumbers.List(ctx) (*PhonenumberListResponse, error)` **get** `/v3/phonenumbers` **Deprecated.** Use `GET /v3/phone_numbers` instead. ### Returns - `type PhonenumberListResponse struct{…}` - `PhoneNumbers []PhonenumberListResponsePhoneNumber` List of phone numbers assigned to the partner - `ID string` Unique identifier for the phone number - `PhoneNumber string` Phone number in E.164 format - `Capabilities PhonenumberListResponsePhoneNumberCapabilities` - `Mms bool` Whether MMS messaging is supported - `SMS bool` Whether SMS messaging is supported - `Voice bool` Whether voice calls are supported - `CountryCode string` Deprecated. Always null. - `Type string` Deprecated. Always null. ### Example ```go package main import ( "context" "fmt" "github.com/linq-team/linq-go" "github.com/linq-team/linq-go/option" ) func main() { client := linqgo.NewClient( option.WithAPIKey("My API Key"), ) phonenumbers, err := client.Phonenumbers.List(context.TODO()) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", phonenumbers.PhoneNumbers) } ``` #### Response ```json { "phone_numbers": [ { "id": "550e8400-e29b-41d4-a716-446655440000", "phone_number": "+12025551234", "capabilities": { "mms": true, "sms": true, "voice": false }, "country_code": "US", "type": null } ] } ```